(Deprecated) Resume job
Jobs
(Deprecated) Resume job
This endpoint has been deprecated. Partners should use the resume aggregation endpoint in its place, as outlined in the Nexus guide. When an institution allows for multi-factor authentication and MFA member credentials aren’t yet created for that user, the job enters a CHALLENGED state. Once member credentials have been created, the resume endpoint is called for that job to resume the aggregation.
GET
(Deprecated) Resume job
Authorizations
MX Session Token
- Request an API token using the read API token endpoint in the MX SSO API.
- Exchange an API token for a session token.
- A session token is obtained by sending a POST request to /sessions
- The session token will be used in each request made for the user. It should be passed in an
MD-SESSION-TOKENHTTP header as shown below. - This session token is valid for 30 minutes from the time it was created. The 30 minute expiration counter is refreshed with each call.
- If you send a request with an expired session token you'll receive an error code of
4011.
curl -i https://int-data.moneydesktop.com/accounts \
-H 'MD-SESSION-TOKEN: CWforZl1Vn2vC_v6H4rnQRT1DoWpDouJAV-_5TBmiQRAtA8rsOG_BoajTiOSsL0A3bd-bmHXlA-eQzc9ywItKg' \
-H 'Content-Type: application/vnd.mx.nexus.v1+json' \
-H 'Accept: application/vnd.mx.nexus.v1+json'In documentation code examples, replace <API_KEY_VALUE> with the session token.
Path Parameters
The unique identifier for the job. Defined by MX.
Response
200 - application/vnd.mx.nexus.v1+json
OK

